From 6c26950f67fb07550b86f3064fb0f7b7b53eec5d Mon Sep 17 00:00:00 2001
From: Steve Lhomme <robux4@videolabs.io>
Date: Fri, 16 Feb 2024 08:57:46 +0100
Subject: [PATCH] Fix warning when _MSC_VER is not defined

---
 amf/public/include/core/Variant.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/amf/public/include/core/Variant.h b/amf/public/include/core/Variant.h
index edf14ae..879f092 100644
--- a/amf/public/include/core/Variant.h
+++ b/amf/public/include/core/Variant.h
@@ -365,7 +365,7 @@ namespace amf
             operator=(p_other);
         }
 
-#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (_MSC_VER >= 1600)
+#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (defined(_MSC_VER) && _MSC_VER >= 1600)
 #pragma warning (push)
 #pragma warning (disable : 26439) //This kind of function may not throw. Declare it 'noexcept'.
         String(String&& p_other) : m_Str(nullptr)
@@ -393,7 +393,7 @@ namespace amf
             m_Str = AMFVariantDuplicateString(p_other.m_Str);
             return *this;
         }
-#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (_MSC_VER >= 1600)
+#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (defined(_MSC_VER) && _MSC_VER >= 1600)
         String& operator=(String&& p_other)
         {
             Free();
@@ -475,7 +475,7 @@ namespace amf
         {
             operator=(p_other);
         }
-#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (_MSC_VER >= 1600)
+#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (defined(_MSC_VER) && _MSC_VER >= 1600)
         WString(WString&& p_other) : m_Str(nullptr)
         {
             operator=(p_other);
@@ -492,7 +492,7 @@ namespace amf
             m_Str = AMFVariantDuplicateWString(p_other.m_Str);
             return *this;
         }
-#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (_MSC_VER >= 1600)
+#if (__cplusplus == 201103L) || defined(__GXX_EXPERIMENTAL_CXX0X) || (defined(_MSC_VER) && _MSC_VER >= 1600)
         WString& operator=(WString&& p_other)
         {
             Free();
-- 
2.37.3.windows.1

